#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.1
visibility:           public
id:                   structured-0.1.1-LvAP2XWhQjrGB8HwAVtkNE
key:                  structured-0.1.1-LvAP2XWhQjrGB8HwAVtkNE
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  f10e8797744530185659189f0de5ffc1
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-9.0.1/site-local/structured-0.1.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/structured-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/structured-0.1.1
hs-libraries:         HSstructured-0.1.1-LvAP2XWhQjrGB8HwAVtkNE
depends:
    aeson-1.5.6.0-5GxEynAdVr82B7C7yhxG6H array-0.5.4.0 base-4.15.0.0
    base16-bytestring-1.0.1.0-1W0eOyz2lRFFHRqvFSDAjG binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    hashable-1.3.4.1-5NDVV6nsO4l1z422uKeFYD
    scientific-0.3.7.0-6YcEb7tz99ZGgIPqqFBkeZ
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25 text-1.2.4.1
    time-compat-1.9.6.1-Gu7HiYsVD6W3ykQ5RyUd7o transformers-0.5.6.2
    unordered-containers-0.2.14.0-EvtGmSgibELG8puyj0bZfl
    uuid-types-1.0.5-2WAOtNgdfLUC5eIVy7Ofkv
    vector-0.12.3.1-BYdg1PRFj4WB38iHU29MVy

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

